Test a webhook connection before create a webhook

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
urlstring or nullRequired
The url of the webhook where webhooks will be sent.
namestring or nullRequired
referencestring or nullRequired
usernamestring or nullOptionalformat: "^[a-zA-Z0-9!#$%&-_.*]*$"0-256 characters
The username used for basic authentication.
passwordstring or nullOptionalformat: "^[a-zA-Z0-9!#$%&-_.*]*$"0-256 characters
The password used for basic authentication.
api_header_fieldstring or nullOptionalformat: "^[a-zA-Z0-9_\-]*"0-256 characters
The name of the header field for authentication with an API key.
api_keystring or nullOptionalformat: "^[a-zA-Z0-9]*"0-256 characters
The value of for authentication with an API key.
included_actionslist of strings or nullOptional
The actions of which a webhook will be sent.
excluded_actionslist of strings or nullOptional
The actions of which a webhook will not be sent.
activebooleanOptional
The status of the webhook.
signing_protocolstring or nullOptional
The signing protocol for the webhook.
previous_signing_protocolstring or nullOptional
secret_rolled_atstring or nullOptional
The instant when the secret was rolled.
include_previous_databooleanOptional
Define whether the webhook payload include the previous status or only the current status
authentication_typeenumOptional
The type of authentication used for the webhook.
penalty_box_dataobject or nullOptional
Indicates if this webhook is in the penalty box

Response

OK
successfulboolean or nullRead-only
messagestring or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error